
CoCoA-5 - Bug #249

BuiltIn Normaliz functions not available in CoCoA5Interpreter

01 Oct 2012 18:44 - Christof Soeger

Status: Closed Start date: 01 Oct 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Portability Estimated time: 0.00 hour

Target version: CoCoA-5.0.3 Spent time: 0.50 hour

Description

Now Normaliz is available in C5 (see #207) but not in the text interpreter, very strange.

But it shows that tests for normaliz in the user interfaces are necessary (#243).

Related issues:

Related to CoCoALib - Support #452: Documentation for adding functions to CoC... Closed 01 Mar 2014

History

#1 - 02 Oct 2012 08:13 - Anna Maria Bigatti

Very strange!  I compiled yesterday and I see (at least one of ;-) Normaliz functions

/**/ indent(VersionInfo());

Record[

(....)  CompilationDate := "Oct  1 2012 16:40:37",  (....)

]

/**/ NormalizComputation;

<function>

#2 - 03 Oct 2012 17:05 - Christof Soeger

- Status changed from New to Closed

- % Done changed from 0 to 100

Due to a change of the compile flags variables in the autoconf.mk and a seperated build command for cocoa5 the COCOA_WITH_NORMALIZ flag

was not passed. correction is use the $COMPILE from autoconf.mk and add what needed in the cocoa5 compilation.

#3 - 21 May 2013 18:09 - Anna Maria Bigatti

- Category set to Portability

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoA-5.0.3
